Upload dataset from JSON, JSONL, CSV, or PyArrow
curl --request POST \
--url https://api.example.com/v1/datasets/upload \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"inputs": [
{}
],
"description": "<string>",
"outputs": [
{}
],
"metadata": [
{}
],
"splits": [
"<string>"
],
"span_ids": [
"<string>"
],
"example_ids": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/datasets/upload"
payload = {
"name": "<string>",
"inputs": [{}],
"description": "<string>",
"outputs": [{}],
"metadata": [{}],
"splits": ["<string>"],
"span_ids": ["<string>"],
"example_ids": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
inputs: [{}],
description: '<string>',
outputs: [{}],
metadata: [{}],
splits: ['<string>'],
span_ids: ['<string>'],
example_ids: ['<string>']
})
};
fetch('https://api.example.com/v1/datasets/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"dataset_id": "<string>",
"version_id": "<string>",
"num_created_examples": 123,
"num_updated_examples": 123,
"num_deleted_examples": 123
}
}"<string>""<string>""<string>"Datasets
Upload dataset from JSON, JSONL, CSV, or PyArrow
POST
/
v1
/
datasets
/
upload
Upload dataset from JSON, JSONL, CSV, or PyArrow
Query Parameters
If true, fulfill request synchronously and return JSON containing dataset_id.
Body
application/jsonmultipart/form-data
Available options:
create, append, update Split per example: string, string array, or null
Span IDs to link examples back to spans
Optional example ID per example. If provided, it is used as the example's stable public ID.
Response
UploadDatasetResponseBody · object | null
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

